
QGIS Application - Bug report #4096

Referenced layers do not use relative paths if set in project properties

2011-07-19 09:24 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 14078

Description

When saving referenced layers in a project and the project setting is set to relative paths, QGIS still writes the referenced project as

absolute.

History

#1 - 2011-07-20 05:08 AM - Andreas Neumann

- Assignee set to Marco Hugentobler

#2 - 2011-07-21 10:34 AM - Marco Hugentobler

- Status changed from Open to Closed

Seems to work as expected

#3 - 2011-10-15 01:11 PM - Gavin Fleming

- OS version set to 11.04

- Operating System changed from all to linux

This does happen inconsistently and unexpectedly. Here is an example: This shapefile should have no path as it is in the same directory as the project file

yet QGIS writes it as

<datasource>../../../../../Documents and Settings/Gavin/Documents/EdTechConf/data/rivers.shp</datasource>

...which of course will not open on another system.

In this case the project and data are on an NTFS mounted drive on a dual-boot system. Could it be something to do with the spaces in the path or

referencing symbolic links vs actual paths?
